// -- This is a parent command --
Cypress.Commands.add('login', () => {
  // Simulate logged in user without OAuth
  window.localStorage.setItem('myp:user', JSON.stringify({
    id: 'test-user-id',
    name: 'Test User',
    email: 'test@example.com',
    role: 'user'
  }))
})

// -- This is a child command --
Cypress.Commands.add('createPrintJob', (printerId, duration) => {
  cy.intercept('POST', `/api/printers/${printerId}/reserve`, {
    id: 'test-job-id',
    printerId,
    userId: 'test-user-id',
    startTime: new Date().toISOString(),
    endTime: new Date(Date.now() + duration * 60000).toISOString(),
    status: 'active'
  }).as('createJob')

  return cy.wrap('test-job-id')
})

declare global {
  namespace Cypress {
    interface Chainable {
      login(): Chainable<void>
      createPrintJob(printerId: string, duration: number): Chainable<string>
    }
  }
}